get
https://api.myvendy.com/webhooks/get-webhooks
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Lists your business's webhooks.
Event deliveriesVendy sends each event as a JSON
POSTwith anx-signatureheader. See the Webhooks overview for the event list and how to check signatures.
Request:
| Field | In | Type | Required | Description |
|---|---|---|---|---|
| businessId | Query | Integer | No | Ignored when you use API keys. See Authentication |
Example request
curl --location 'https://api.myvendy.com/webhooks/get-webhooks' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"Response:
| Field | Type | Description |
|---|---|---|
| status | Boolean | States if request was successfully executed or not |
| code | Integer | Internal code, success if 200 |
| msg | String | The webhook service's message, usually success |
| data | Array[Webhook] | All your webhooks |
Example response
{
"status": true,
"code": 200,
"msg": "success",
"error": "success",
"data": [
{
"allowedEvents": "all",
"clientId": "39a1e4bf-fbc3-4b78-9555-c50f8cfa17bw",
"created": "2026-10-20T07:05:40.432Z",
"id": "39a1e4bf-fbc3-4b78-9555-c50f8cfa17bw",
"retryStatus": "ENABLED",
"secretHash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
"updated": "2026-10-20T07:05:40.432Z",
"url": "https://example.com/webhook"
}
]
}Possible errors
| Error code | Description |
|---|---|
218 | The webhook service rejected the request. msg says why, for example an unknown id |
342 | Your keys lack permission to manage webhooks |
